// PouzitiDatabazeView.cpp : implementation of the CPouzitiDatabazeView class
//

#include "stdafx.h"
#include "PouzitiDatabaze.h"

#include "PouzitiDatabazeSet.h"
#include "PouzitiDatabazeDoc.h"
#include "PouzitiDatabazeView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPouzitiDatabazeView

IMPLEMENT_DYNCREATE(CPouzitiDatabazeView, CRecordView)

BEGIN_MESSAGE_MAP(CPouzitiDatabazeView, CRecordView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CRecordView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CRecordView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CPouzitiDatabazeView construction/destruction

CPouzitiDatabazeView::CPouzitiDatabazeView()
	: CRecordView(CPouzitiDatabazeView::IDD)
{
	m_pSet = NULL;
	// TODO: add construction code here

}

CPouzitiDatabazeView::~CPouzitiDatabazeView()
{
}

void CPouzitiDatabazeView::DoDataExchange(CDataExchange* pDX)
{
	CRecordView::DoDataExchange(pDX);
	// you can insert DDX_Field* functions here to 'connect' your controls to the database fields, ex.
	DDX_FieldText(pDX, IDC_ID, m_pSet->m_id, m_pSet);
	DDX_FieldText(pDX, IDC_NAZEV, m_pSet->m_nazev, m_pSet);
	DDX_FieldText(pDX, IDC_POCET, m_pSet->m_pocet, m_pSet);
	// DDX_FieldCheck(pDX, IDC_MYCHECKBOX, m_pSet->m_bColumn2, m_pSet);
	// See MSDN and ODBC samples for more information
}

BOOL CPouzitiDatabazeView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CRecordView::PreCreateWindow(cs);
}

void CPouzitiDatabazeView::OnInitialUpdate()
{
	m_pSet = &GetDocument()->m_PouzitiDatabazeSet;
	CRecordView::OnInitialUpdate();
}


// CPouzitiDatabazeView printing

BOOL CPouzitiDatabazeView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CPouzitiDatabazeView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CPouzitiDatabazeView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CPouzitiDatabazeView diagnostics

#ifdef _DEBUG
void CPouzitiDatabazeView::AssertValid() const
{
	CRecordView::AssertValid();
}

void CPouzitiDatabazeView::Dump(CDumpContext& dc) const
{
	CRecordView::Dump(dc);
}

CPouzitiDatabazeDoc* CPouzitiDatabazeView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CPouzitiDatabazeDoc)));
	return (CPouzitiDatabazeDoc*)m_pDocument;
}
#endif //_DEBUG


// CPouzitiDatabazeView database support
CRecordset* CPouzitiDatabazeView::OnGetRecordset()
{
	return m_pSet;
}



// CPouzitiDatabazeView message handlers
